%define debug_package	%{nil}
%define api		3.0

Summary:	Mono bindings for the GUdev library
Name:		gudev-sharp
Version:	3.0.0
Release:	%mkrel 13
Source0:	https://github.com/mono/gudev-sharp/releases/download/3.0.0/%{name}-%{version}.tar.gz
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/mono/gudev-sharp
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(glib-sharp-3.0)
BuildRequires:	pkgconfig(gapi-3.0)

%description
This is a Mono binding for GUdev based on GTk#.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Other

%description devel
This is a Mono binding for GUdev based on GTk#.

%prep
%setup -q 
sed -i "s#gmcs#mcs#g" configure.ac

%build
./autogen.sh
%configure 
%make_build

%install
%make_install

%files
%doc AUTHORS
%{_prefix}/lib/mono/%{name}-%{api}
%{_prefix}/lib/mono/gac/%{name}

%files devel
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 3.0.0-13.mga9
+ Revision: 1841418
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 3.0.0-12.mga8
+ Revision: 1629211
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 3.0.0-11.mga8
+ Revision: 1628938
- rebuild for new mono

* Thu Feb 13 2020 umeabot <umeabot> 3.0.0-10.mga8
+ Revision: 1512906
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.0.0-9.mga7
+ Revision: 1298139
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Dec 03 2015 tv <tv> 3.0.0-7.mga6
+ Revision: 907873
- rebuild for mono4

* Sun Oct 18 2015 daviddavid <daviddavid> 3.0.0-6.mga6
+ Revision: 892597
- disable debug package to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-5.mga5
+ Revision: 739781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-4.mga5
+ Revision: 680042
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.0.0-3.mga4
+ Revision: 541365
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 3.0.0-2.mga4
+ Revision: 495748
- the package is not a noarch package, as it introduces arch-dependent requires

* Sat Oct 12 2013 dams <dams> 3.0.0-1.mga4
+ Revision: 495738
- new version 3.0.0

* Sat Jan 12 2013 umeabot <umeabot> 0.1-3.mga3
+ Revision: 352949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.1-2.mga1
+ Revision: 76152
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1-1.mga1
+ Revision: 71981
- remove buildroot
- imported package gudev-sharp


* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.1-1mdv2011.0
+ Revision: 577096
- switch to 0.1 release

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 0.1-0.20100713.1mdv2011.0
+ Revision: 574374
- import gudev-sharp

